Subject: bug#10177: [Improvement] Hello! Can split console and frontend ?

From: James Chyn <[email-masked]>
Date: Thu, 1 Dec 2011 10:12:52 +0800

Hello,

  I have a suggestion: can emacs released console only and frontend
(if you like, gtk3 for example) only individually?

  Reason:
      I formerly use vim, and I found that vim is only a console
program, but there is 2 frontend for it: gvim (gtk+) and vim-qt (qt).
I think this is great since the frontend is optimal. If I use vim in
KDE, I just install vim-qt and vim (console), no need to install GTK+
just for an application specifically. However, if I install emacs on
KDE, gtk+ is a must, which is not convinient. In fact, many programs
split their console program and frontend individually, such as
mplayer, vim, etc.

  Hope you would consider my suggestion.

                                                                   James Chyn